{% extends 'base.html' %} 

{% block title %} Login {% endblock %} 

{% block content %}
<h1 class="text-center my-3">Login Form</h1>
<div class="container shadow rounded py-3 w-50">
    <div class="row">
        <div class="col-6 offset-3">
            {% if error == True %}
                <p class="text-danger">Registered ka ba? Sure ka? Double check mo nga ang username o password mo.</p>
            {% endif %}
            <form action="{% url 'todolist:login' %}" method="POST">


                {% comment %} IMPORT SI csrf_token {% endcomment %}
                {% csrf_token %}


                <div class="mb-3">
                    <label for="exampleInputEmail1" class="form-label"
                        >Username</label
                    >
                    <input
                        type="text"
                        class="form-control"
                        id="username"
                        value="{{ username }}"
                        name="username"
                        maxlength="20"
                        required
                    />
                </div>
                <div class="mb-3">
                    <label for="password" class="form-label"
                        >Password</label
                    >
                    <input
                        type="password"
                        class="form-control"
                        id="password"
                        value="{{ password }}"
                        name="password"
                        maxlength="20"
                        required
                    />
                </div>
                <button type="submit" class="btn btn-primary">Login</button>
            </form>
        </div>
    </div>
</div>

{% endblock %}
